import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:syncrow_web/pages/analytics/modules/analytics/blocs/bloc/analytics_tab_bloc.dart';
import 'package:syncrow_web/pages/analytics/modules/analytics/widgets/analytics_communities_sidebar.dart';
import 'package:syncrow_web/pages/analytics/modules/analytics/widgets/analytics_page_tabs_and_children.dart';
import 'package:syncrow_web/pages/device_managment/shared/navigate_home_grid_view.dart';
import 'package:syncrow_web/utils/theme/responsive_text_theme.dart';
import 'package:syncrow_web/web_layout/web_scaffold.dart';

class AnalyticsPage extends StatelessWidget {
  const AnalyticsPage({super.key});

  @override
  Widget build(BuildContext context) {
    return BlocProvider<AnalyticsTabBloc>(
      create: (context) => AnalyticsTabBloc(),
      child: const AnalyticsPageForm(),
    );
  }
}

class AnalyticsPageForm extends StatelessWidget {
  const AnalyticsPageForm({super.key});

  @override
  Widget build(BuildContext context) {
    return WebScaffold(
      rightBody: const NavigateHomeGridView(),
      appBarTitle: Text(
        'Syncrow Analytics',
        style: ResponsiveTextTheme.of(context).deviceManagementTitle,
      ),
      enableMenuSidebar: false,
      scaffoldBody: const Row(
        children: [
          AnalyticsCommunitiesSidebar(),
          Expanded(flex: 5, child: AnalyticsPageTabsAndChildren()),
        ],
      ),
    );
  }
}
